## qtmobility 1.2.0

=== src/meegoinstalls/Makefile ===
PKG_NAME := qt-mobility
SPECFILE = $(addsuffix .spec, $(PKG_NAME))
YAMLFILE = $(addsuffix .yaml, $(PKG_NAME))

first: custom-help

include /usr/share/meego-packaging-tools/Makefile.common

custom-help: help
	@echo "The above are common MeeGo packaging targets."
	@echo "$(PKG_NAME) also has these additional targets:"
	@echo " spec-git                        Create spec file, with options appropriate for git"
	@echo " build-trunk-i686                Do a local i686 build against Trunk, without using OBS"
	@echo " build-trunk-testing-i686        Do a local i686 build against Trunk:Testing, without using OBS"

spec-git:
	specify --skip-scm --not-download --non-interactive

git-archive: spec-git
	@VER=$$(sed -n -r -e 's|^Version: +||p' $(SPECFILE));     \
	TARGZ=$$(sed -n -r                                        \
	    -e 's|^Source0:.*/([^/]+)$$|\1|'                      \
	    -e 's|%\{name\}|$(PKG_NAME)|'                         \
	    -e "s|%\{version\}|$$VER|"                            \
	    -e 's|.tar.gz||p'                                     \
	$(SPECFILE) );                                            \
	DIR="$$PWD";                                              \
	cd $$(git rev-parse --git-dir) &&                         \
	echo "Creating $$DIR/$$TARGZ.tar.gz ..." &&               \
	git archive HEAD --prefix=$$TARGZ/ --format=tar | gzip > "$$DIR/$$TARGZ.tar.gz"

build-no-obs = sudo build $(SPECFILE) --repository $1 --arch $2

build-no-obs-deps: /usr/bin/build git-archive

build-trunk-i686: build-no-obs-deps
	$(call build-no-obs,http://download.meego.com/live/Trunk/standard/,i686)

build-trunk-testing-i686: build-no-obs-deps
	$(call build-no-obs,http://download.meego.com/live/Trunk:/Testing/standard/,i686)

=== tools/vsexplorer/DESCRIPTION ===
A development helper tool to explore the Qt Extended Value Space.

## qtmobility 1.0.1

=== debian/changelog ===
qtmobility (1.0.1-1ubuntu1common0hedley2) lucid; urgency=low

  * Added build-depends libgconf2-dev necessary for publishsubscribe's GConf backend

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 15 Jul 2010 11:30:20 +0200

qtmobility (1.0.1-1ubuntu1common0hedley1) lucid; urgency=low

  * Fix FTBFS:
    - 'close' unknown because of missing #include unistd.h
    - 'intptr_t' unknown because of missing #include stdint.h
  * Set -release configure flag
  * Use GConf backend for publishsubscribe on unix platforms that are not maemo6 nor mac

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 15 Jul 2010 11:18:48 +0200

qtmobility (1.0.1-1ubuntu1) maverick; urgency=low

  * Fix FTBFS with Ubuntu's Qt 4.7 packages:
    - Drop usr/bin/fetchgooglemaps from debian/qtmobility-examples.install

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Jul 2010 16:49:18 -0400

qtmobility (1.0.1-1) experimental; urgency=low

  * Initial release (Closes: #585012)

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 09:17:43 +0300

=== debian/control ===
Source: qtmobility
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), pkg-kde-tools (>= 0.6.4),
 libqt4-dev (>= 4:4.7.0~beta1), libqt4-opengl-dev (>= 4:4.7.0~beta1),
 libasound2-dev, libbluetooth-dev, libpulse-dev, libx11-dev,
 network-manager-dev, qmf-dev, libgconf2-dev
Standards-Version: 3.9.0
Section: libs
Homepage: http://labs.trolltech.com/page/Projects/QtMobility
Vcs-Git: git://git.debian.org/pkg-kde/qtmobility.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qtmobility.git;a=summary

Package: qtmobility-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqtbearer1 (= ${binary:Version}),
 libqtcontacts1 (= ${binary:Version}),
 libqtlocation1 (= ${binary:Version}),
 libqtmessaging1 (= ${binary:Version}),
# libqtmultimediakit1 (= ${binary:Version}),
 libqtpublishsubscribe1 (= ${binary:Version}),
 libqtsensors1 (= ${binary:Version}),
 libqtserviceframework1 (= ${binary:Version}),
 libqtsysteminfo1 (= ${binary:Version}),
 libqtversit1 (= ${binary:Version})
Description: APIs for mobile device functionality - development files
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Mobility libraries.

Package: libqtbearer1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Bearer Management module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API to control the system's connectivity state.

Package: libqtcontacts1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Contacts module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API enabling clients to request contact data from
 local or remote backends.

Package: libqtlocation1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Location module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Location API. It provides a library for distributing
 and receiving location data using arbitrary data sources.

Package: libqtmessaging1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Messaging module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Messaging API. It is a common interface for handling
 SMS, MMS, MIME Email and TNEF Email messages.

#Package: libqtmultimediakit1
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: Qt Mobility MultimediaKit module
# Qt Mobility delivers a set of new APIs for mobile device functionality.
# .
# This package contains a set of APIs to play and record media, and manage a
# collection of media content.

Package: libqtpublishsubscribe1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Publish and Subscribe module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe API (containing Value Space).
 It enables applications to read item values, navigate through and subscribe to
 change notifications.

Package: libqtsensors1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Sensors module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Sensors API. It provides access to sensors.

Package: libqtserviceframework1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Service Framework module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to that allows clients to discover and
 instantiate arbitrary services.

Package: libqtsysteminfo1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility System Information module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to discover system related information and
 capabilities.

Package: libqtversit1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Versit module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API to manage Versit documents.

#Package: libdeclarative-multimedia
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: Qt Mobility Multimedia QML plugin
# Qt Mobility delivers a set of new APIs for mobile device functionality.
# .
# This package contains the Multimedia QML plugin for QtDeclarative.

Package: libdeclarative-publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Publish and Subscribe QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe QML plugin for QtDeclarative.

Package: libdeclarative-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Service Framework QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Service Framework QML plugin for QtDeclarative.

Package: qtmobility-examples
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility examples
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains Qt Mobility examples.

Package: qtmobility-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqtbearer1 (= ${binary:Version}),
 libqtcontacts1 (= ${binary:Version}),
 libqtlocation1 (= ${binary:Version}),
 libqtmessaging1 (= ${binary:Version}),
# libqtmultimediakit1 (= ${binary:Version}),
 libqtpublishsubscribe1 (= ${binary:Version}),
 libqtsensors1 (= ${binary:Version}),
 libqtserviceframework1 (= ${binary:Version}),
 libqtsysteminfo1 (= ${binary:Version}),
 libqtversit1 (= ${binary:Version})
Description: APIs for mobile device functionality - debugging symbols
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the debugging symbols for the Qt Mobility libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# QMF environment variables should be set
export QMF_INCLUDEDIR := /usr/include/qtopiamail
export QMF_LIBDIR := /usr/lib

%:
	dh $@ --parallel --list-missing --dbg-package=qtmobility-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	./configure \
	    -release \
	    -prefix "/usr" \
	    -headerdir "/usr/include" \
	    -libdir "/usr/lib" \
	    -bindir "/usr/bin" \
	    -plugindir "/usr/lib/qt4/plugins" \
	    -examples \
	    -modules "bearer location contacts publishsubscribe versit messaging systeminfo serviceframework sensors"

override_dh_auto_clean:
	dh_auto_clean
	rm -f tools/tools.pro.user

## qtmobility 1.0.2

=== debian/changelog ===
qtmobility (1.0.2-2) experimental; urgency=low

  [ Fathi Boudra ]
  * Split servicefw in his own package.

  [ Pino Toscano ]
  * Update debian/control:
    - limit the libasound2-dev, libbluetooth-dev and network-manager-dev build
      dependencies to linux-any (as they are Linux-specific).

 -- Fathi Boudra <fabo@debian.org>  Tue, 07 Sep 2010 12:37:57 +0300

qtmobility (1.0.2-1) experimental; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Disable Qt Mobility Bearer management module. It is merged in Qt as
    Qt Network Bearer management module after Qt 4.7.0 beta 2 release.
  * Remove patches:
    - 01_fix_ftbfs_incorrect_copy2build_output_value.diff
    - 03_ftbfs_multimedia_plugin.diff
    - 0001_rename_smallsensors.diff
    - 0002_rename_sysinfo.diff
  * Add patches:
    - 0001_do_not_use_imageprovider.h_in_declarative_plugin.patch
      It fixes ftbfs against Qt 4.7.0 rc1.
  * Update debian/control:
    - add libgstreamer-plugins-base0.10-dev, libxext-dev and libxv-dev build
      dependencies.
    - add libqt4-sql-sqlite dependency to libqtsensors1 package.
    - add hal dependency to libqtserviceframework1 package.
    - add libdeclarative-contacts and libdeclarative-sensors packages.
    - bump Qt build dependencies to 4:4.7.0~rc1
    - bump Standards-Version to 3.9.1 (no changes needed).
  * Update debian/rules:
    - remove more leftover files and directories.
  * Update debian/*.install files.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

 -- Fathi Boudra <fabo@debian.org>  Mon, 09 Aug 2010 19:30:37 +0300

qtmobility (1.0.1-2) experimental; urgency=low

  * Update debian/control:
    - enable Qt Mobility MultimediaKit module.
    - build depends on Qt 4.7.0~beta2.
  * Add qtmobility-l10n package.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jul 2010 09:40:30 +0300

=== debian/control ===
Source: qtmobility
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), pkg-kde-tools (>= 0.6.4),
 libqt4-dev (>= 4:4.7.0~rc1), libqt4-opengl-dev (>= 4:4.7.0~rc1),
 libqtwebkit-dev (>= 2.0~week27), libgstreamer-plugins-base0.10-dev,
 libpulse-dev, libx11-dev, libxext-dev, libxv-dev, qmf-dev (>= 1.0~2010w35),
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 network-manager-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Standards-Version: 3.9.1
Section: libs
Homepage: http://labs.trolltech.com/page/Projects/QtMobility
Vcs-Git: git://git.debian.org/pkg-kde/qt/qtmobility.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtmobility.git;a=summary

Package: qtmobility-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqtcontacts1 (= ${binary:Version}),
 libqtlocation1 (= ${binary:Version}),
 libqtmessaging1 (= ${binary:Version}),
 libqtmultimediakit1 (= ${binary:Version}),
 libqtpublishsubscribe1 (= ${binary:Version}),
 libqtsensors1 (= ${binary:Version}),
 libqtserviceframework1 (= ${binary:Version}),
 libqtsysteminfo1 (= ${binary:Version}),
 libqtversit1 (= ${binary:Version}),
 servicefw
Description: APIs for mobile device functionality - development files
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Mobility libraries.

Package: libqtcontacts1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Contacts module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API enabling clients to request contact data from
 local or remote backends.

Package: libqtlocation1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Location module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Location API. It provides a library for distributing
 and receiving location data using arbitrary data sources.

Package: libqtmessaging1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Messaging module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Messaging API. It is a common interface for handling
 SMS, MMS, MIME Email and TNEF Email messages.

Package: libqtmultimediakit1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility MultimediaKit module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqtpublishsubscribe1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Publish and Subscribe module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe API (containing Value Space).
 It enables applications to read item values, navigate through and subscribe to
 change notifications.

Package: libqtsensors1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Suggests: qtmobility-l10n
Description: Qt Mobility Sensors module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Sensors API. It provides access to sensors.

Package: libqtserviceframework1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hal
Suggests: qtmobility-l10n
Description: Qt Mobility Service Framework module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to that allows clients to discover and
 instantiate arbitrary services.

Package: libqtsysteminfo1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility System Information module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains a set of APIs to discover system related information and
 capabilities.

Package: libqtversit1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtmobility-l10n
Description: Qt Mobility Versit module
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains an API to manage Versit documents.

Package: libdeclarative-contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Contacts QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Contacts QML plugin for QtDeclarative.

Package: libdeclarative-multimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Multimedia QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Multimedia QML plugin for QtDeclarative.

Package: libdeclarative-publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Publish and Subscribe QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Publish and Subscribe QML plugin for QtDeclarative.

Package: libdeclarative-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Sensors QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Sensors QML plugin for QtDeclarative.

Package: libdeclarative-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Service Framework QML plugin
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Service Framework QML plugin for QtDeclarative.

Package: servicefw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: qtmobility-dev (<< 1.0.2-2)
Description: Qt Mobility Service Framework tool
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the Service Framework tool (servicefw). It allows
 to register services and make them available over the Service Framework.

Package: qtmobility-examples
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility examples
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains Qt Mobility examples.

Package: qtmobility-l10n
Architecture: all
Section: localization
Description: APIs for mobile device functionality - localization files
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains Qt Mobility translations.

Package: qtmobility-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqtcontacts1 (= ${binary:Version}),
 libqtlocation1 (= ${binary:Version}),
 libqtmessaging1 (= ${binary:Version}),
 libqtmultimediakit1 (= ${binary:Version}),
 libqtpublishsubscribe1 (= ${binary:Version}),
 libqtsensors1 (= ${binary:Version}),
 libqtserviceframework1 (= ${binary:Version}),
 libqtsysteminfo1 (= ${binary:Version}),
 libqtversit1 (= ${binary:Version})
Description: APIs for mobile device functionality - debugging symbols
 Qt Mobility delivers a set of new APIs for mobile device functionality.
 .
 This package contains the debugging symbols for the Qt Mobility libraries.

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,25 @@
 
 override_dh_auto_configure:
 	./configure \
-	    -release \
 	    -prefix "/usr" \
 	    -headerdir "/usr/include" \
 	    -libdir "/usr/lib" \
 	    -bindir "/usr/bin" \
 	    -plugindir "/usr/lib/qt4/plugins" \
 	    -examples \
-	    -modules "bearer location contacts publishsubscribe versit messaging systeminfo serviceframework sensors"
+	    -modules "location contacts multimedia publishsubscribe versit messaging systeminfo serviceframework sensors"
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f tools/tools.pro.user
+	rm -f \
+	    .qmake.cache \
+	    config.tests/networkmanager/networkmanager \
+	    config.tests/qmf/qmf \
+	    tools/tools.pro.user
+	find \( -false \
+	    -o -type f -name Makefile \
+	    -o -type f -name \*.o \
+	    -o -type f -name config.\* \
+	    -o -type f -name mobility\*.prf \
+	\) -delete
+	rm -rf include libs libs

## qtmobility 1.1.0

=== debian/changelog ===
qtmobility (1.1.0-0ubuntu4) natty; urgency=low

  * Remove libqtmessaging1 dependency from qtmobility-dbg, the package has
    been removed in the last upload.
  * Delete "lib" dir in the clean target.
    - Drop all debian-changes-* patches as they only contain useless changes
      in the lib dir.
  * Fix symbols on armel.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 31 Jan 2011 14:45:16 +0100

qtmobility (1.1.0-0ubuntu3) natty; urgency=low

  * Remove qmf-dev build-dependency, upstream recommended to build without QMF,
    disable libqtmessaging1 and libdeclarative-messaging packages
  * Add .symbols files for libraries

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jan 2011 15:43:35 +0000

qtmobility (1.1.0-0ubuntu2) natty; urgency=low

  * Move hal to a suggests on libqtsysteminfo1, LP: #708519

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Jan 2011 10:52:34 +0000

qtmobility (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Syncronise with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Nov 2010 16:18:07 +0000

qtmobility (1.1.0~beta2-1) experimental; urgency=low

  * New upstream release.
  * Update debian/control:
    - remove libqtwebkit-dev build dependency.
    - add libxrandr-dev build dependency.
    - bump qmf build dependency to 1.0~2010w39.
    - add libqtfeedback1, libqtgallery1, libqtorganizer1,
      libqtversitorganizer1, libdeclarative-gallery, libdeclarative-location,
      libdeclarative-messaging and libdeclarative-systeminfo packages
  * Update debian/rules:
    - update QMF_INCLUDEDIR path.
    - add -demosdir, -examplesdir and -demos configure options.
    - add gallery, organizer and feedback to the modules list.
    - fix pkgconfig and prl files.

 -- Fathi Boudra <fabo@debian.org>  Sat, 09 Oct 2010 15:21:18 +0300

qtmobility (1.0.2-2ubuntu0.1) maverick-proposed; urgency=low

  * Fix crash when using QtMultimediaKit by synchronizing the QObjectPrivate
    header with our qt4-x11 package. (LP: #644606)
    - add kubuntu_01_synchronize_qobjectprivate.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 12 Oct 2010 09:55:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: qtmobility
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), pkg-kde-tools (>= 0.6.4),
  libqt4-dev (>= 4:4.7.0~rc1), libqt4-opengl-dev (>= 4:4.7.0~rc1),
- libqtwebkit-dev (>= 2.0~week27), libgstreamer-plugins-base0.10-dev,
- libpulse-dev, libx11-dev, libxext-dev, libxv-dev, qmf-dev (>= 1.0~2010w35),
+ libgstreamer-plugins-base0.10-dev, libpulse-dev, libx11-dev, libxext-dev,
+ libxrandr-dev, libxv-dev,
  libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
  libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
  network-manager-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
@@ -20,14 +21,17 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libqtcontacts1 (= ${binary:Version}),
+ libqtfeedback1 (= ${binary:Version}),
+ libqtgallery1 (= ${binary:Version}),
  libqtlocation1 (= ${binary:Version}),
- libqtmessaging1 (= ${binary:Version}),
  libqtmultimediakit1 (= ${binary:Version}),
+ libqtorganizer1 (= ${binary:Version}),
  libqtpublishsubscribe1 (= ${binary:Version}),
  libqtsensors1 (= ${binary:Version}),
  libqtserviceframework1 (= ${binary:Version}),
  libqtsysteminfo1 (= ${binary:Version}),
  libqtversit1 (= ${binary:Version}),
+ libqtversitorganizer1 (= ${binary:Version}),
  servicefw
 Description: APIs for mobile device functionality - development files
  Qt Mobility delivers a set of new APIs for mobile device functionality.
@@ -45,6 +49,26 @@
  This package contains an API enabling clients to request contact data from
  local or remote backends.
 
+Package: libqtfeedback1
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: qtmobility-l10n
+Description: Qt Mobility Feedback module
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains the Feedback API. It enables a client to control
+ the vibration of the device or the piezo feedback from the screen.
+
+Package: libqtgallery1
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: qtmobility-l10n
+Description: Qt Mobility Document Gallery module
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains an API for accessing collections of documents and media
+ and their meta-data.
+
 Package: libqtlocation1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -55,15 +79,15 @@
  This package contains the Location API. It provides a library for distributing
  and receiving location data using arbitrary data sources.
 
-Package: libqtmessaging1
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: qtmobility-l10n
-Description: Qt Mobility Messaging module
- Qt Mobility delivers a set of new APIs for mobile device functionality.
- .
- This package contains the Messaging API. It is a common interface for handling
- SMS, MMS, MIME Email and TNEF Email messages.
+#Package: libqtmessaging1
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Suggests: qtmobility-l10n
+#Description: Qt Mobility Messaging module
+# Qt Mobility delivers a set of new APIs for mobile device functionality.
+# .
+# This package contains the Messaging API. It is a common interface for handling
+# SMS, MMS, MIME Email and TNEF Email messages.
 
 Package: libqtmultimediakit1
 Architecture: any
@@ -74,6 +98,18 @@
  .
  This package contains a set of APIs to play and record media, and manage a
  collection of media content.
+
+Package: libqtorganizer1
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: qtmobility-l10n
+Description: Qt Mobility Organizer module
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains an API for management of calendar, scheduling and
+ personal data from local or remote backends. It includes the ability to create,
+ edit, list, delete and lookup organizer information whether it is stored
+ locally or remotely.
 
 Package: libqtpublishsubscribe1
 Architecture: any
@@ -97,7 +133,7 @@
 
 Package: libqtserviceframework1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hal
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: qtmobility-l10n
 Description: Qt Mobility Service Framework module
  Qt Mobility delivers a set of new APIs for mobile device functionality.
@@ -108,7 +144,7 @@
 Package: libqtsysteminfo1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: qtmobility-l10n
+Suggests: qtmobility-l10n, hal
 Description: Qt Mobility System Information module
  Qt Mobility delivers a set of new APIs for mobile device functionality.
  .
@@ -119,10 +155,21 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: qtmobility-l10n
-Description: Qt Mobility Versit module
- Qt Mobility delivers a set of new APIs for mobile device functionality.
- .
- This package contains an API to manage Versit documents.
+Description: Qt Mobility Versit (vCard) module
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains an API to manage Versit documents, such as vCards.
+
+Package: libqtversitorganizer1
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: qtmobility-l10n
+Description: Qt Mobility Versit (Organizer) module
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains an API to manage Versit documents, such as iCalendar
+ documents. It interfaces the Organizer API and uses the same framework as for
+ vCards.
 
 Package: libdeclarative-contacts
 Architecture: any
@@ -132,6 +179,46 @@
  .
  This package contains the Contacts QML plugin for QtDeclarative.
 
+Package: libdeclarative-feedback
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Mobility Feedback QML plugin
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains the Feedback QML plugin for QtDeclarative.
+
+Package: libdeclarative-organizer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Mobility Organiser QML plugin
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains the Organiser QML plugin for QtDeclarative.
+
+Package: libdeclarative-gallery
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Mobility Document Gallery QML plugin
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains the Document Gallery QML plugin for QtDeclarative.
+
+Package: libdeclarative-location
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Mobility Location QML plugin
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains the Location QML plugin for QtDeclarative.
+
+#Package: libdeclarative-messaging
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Description: Qt Mobility Messaging QML plugin
+# Qt Mobility delivers a set of new APIs for mobile device functionality.
+# .
+# This package contains the Messaging QML plugin for QtDeclarative.
+
 Package: libdeclarative-multimedia
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -163,6 +250,14 @@
  Qt Mobility delivers a set of new APIs for mobile device functionality.
  .
  This package contains the Service Framework QML plugin for QtDeclarative.
+
+Package: libdeclarative-systeminfo
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Mobility System Information QML plugin
+ Qt Mobility delivers a set of new APIs for mobile device functionality.
+ .
+ This package contains the System Information QML plugin for QtDeclarative.
 
 Package: servicefw
 Architecture: any
@@ -186,6 +281,7 @@
 Package: qtmobility-l10n
 Architecture: all
 Section: localization
+Depends: ${misc:Depends}
 Description: APIs for mobile device functionality - localization files
  Qt Mobility delivers a set of new APIs for mobile device functionality.
  .
@@ -197,14 +293,18 @@
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libqtcontacts1 (= ${binary:Version}),
+ libqtfeedback1 (= ${binary:Version}),
+ libqtgallery1 (= ${binary:Version}),
  libqtlocation1 (= ${binary:Version}),
- libqtmessaging1 (= ${binary:Version}),
  libqtmultimediakit1 (= ${binary:Version}),
+ libqtorganizer1 (= ${binary:Version}),
  libqtpublishsubscribe1 (= ${binary:Version}),
  libqtsensors1 (= ${binary:Version}),
  libqtserviceframework1 (= ${binary:Version}),
  libqtsysteminfo1 (= ${binary:Version}),
- libqtversit1 (= ${binary:Version})
+ libqtversit1 (= ${binary:Version}),
+ libqtversitorganizer1 (= ${binary:Version}),
+ servicefw
 Description: APIs for mobile device functionality - debugging symbols
  Qt Mobility delivers a set of new APIs for mobile device functionality.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # QMF environment variables should be set
-export QMF_INCLUDEDIR := /usr/include/qtopiamail
+export QMF_INCLUDEDIR := /usr/include/qmfclient
 export QMF_LIBDIR := /usr/lib
 
 %:
@@ -17,8 +17,20 @@
 	    -libdir "/usr/lib" \
 	    -bindir "/usr/bin" \
 	    -plugindir "/usr/lib/qt4/plugins" \
+	    -demosdir "/usr/lib/qtmobility/demos" \
+	    -examplesdir "/usr/lib/qtmobility/examples" \
 	    -examples \
-	    -modules "location contacts multimedia publishsubscribe versit messaging systeminfo serviceframework sensors"
+	    -demos \
+	    -modules "location contacts multimedia publishsubscribe versit messaging systeminfo serviceframework sensors gallery organizer feedback"
+
+override_dh_auto_install:
+	dh_auto_install
+	# Fix wrong path in pkgconfig files
+	find $(CURDIR)/debian/tmp/usr/lib/pkgconfig -type f -name '*.pc' \
+		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
+	# Fix wrong path in prl files
+	find $(CURDIR)/debian/tmp/usr/lib -type f -name '*.prl' \
+		-exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/" {} \;
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -33,4 +45,4 @@
 	    -o -type f -name config.\* \
 	    -o -type f -name mobility\*.prf \
 	\) -delete
-	rm -rf include libs libs
+	rm -rf include lib
